• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required)

    iFath is an SHSH and APticket dumping application for Windows.

    If you're on iOS 5.0.1 already, then you're out of luck. Fortunately, those of us still on iOS 5.0 can save not only our SHSH blobs but also our APtickets, which are used in Apple's new firmware verification process. What does that mean? It means that if you're on iOS 5.0 right now, and you mess your iDevice up and need to restore (updates to iOS 5.0.1) then you can downgrade back to iOS 5.0 granted you used iFaith to save your APticket before you restored.

    Just to emphasize, if you are on iOS 5.0.1 already, you CANNOT downgrade to iOS 5.0. This is for people who have saved their APtickets on iOS 5.0 as they will be the only ones who can downgrade back from iOS 5.0.1 to iOS 5.0.

    An APticket is a piece of information. It's like a screenshot in a sense. When you are using Apple's iOS 5.0 firmware, your device has an APticket saved for iOS 5.0. When you update to iOS 5.0.1, your APticket changes to an iOS 5.0.1 APticket. This is how Apple keeps you from downgrading. By using iFaith, you can save not only your SHSH blobs, but also your current (iOS 5.0) APticket. That means that you can use the APticket that you had for iOS 5.0 to downgrade back to iOS 5.0 from iOS 5.0.1 since your iOS 5.0 APticket is still valid. If you don't save your APticket when you are on iOS 5.0, then your new APticket is the one that is given to you by iOS 5.0.1 which means that you don't have an APticket for iOS 5.0. Since you won't have an APticket for iOS 5.0 and you only have one for iOS 5.0.1, you can't downgrade back to iOS 5.0; iOS 5.0.1 is the lowest you will be able to go.

    Hopefully I clarified that enough for you all, honestly I barely even knew what iFaith did and I needed to research it a bit myself so bear with me.

    Currently, iFaith only supports Windows, as iH8sn0w is a Windows user himself. He is also the famed developer behind Sn0wbreeze which is also a Windows-only jailbreak tool. At this point in time, we don't know if a Mac version will be released, but all Macs can run Windows, so there's no issue with compatibility here.

    iFaith 1.4 for Windows can be downloaded for free here.

    iFaith release notes:
    PHP Code:
    iFaith v1.4 Release notes:
    ======================================
    Now dumps iOS 4.4.(Apple TV 2)/5.0.x apticket SHSH blobs!
    Dumping is MUCH faster.
    Full Windows XP support.
    Major code improvements.
    Bug fixes.

    **************************************
    ** 
    DOES NOT SUPPORT A5 DEVICES YET! **
    **************************************

    ======================================
    Now available athttp://iH8sn0w.com
    ======================================
    // iH8sn0w

    "You gotta believe in the voltage that lives inside us,
    So lets buckle up and break our walls down. (Whooooaahhoo)"
    -- @Skrillex 
    I recommend dumping your SHSH and APtickets if you're on iOS 5.0. It will make downgrading back to iOS 5.0 possible for you in the future (in fact, right now). Will you be downloading and using iFaith 1.4? Share in the comments below!

    Sources: iH8sn0w
    This article was originally published in forum thread: Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required) started by Anthony Bouchard View original post
    Comments 115 Comments
    1. GrandMasterB's Avatar
      GrandMasterB -
      I have used this twice now to downgrade to 5.0 and it works wonderfully. THANKS!!
    1. AngryPIG's Avatar
      AngryPIG -
      can i jailbreak with redn0w after using this?
    1. GrandMasterB's Avatar
      GrandMasterB -
      I did. First I tried jailbreaking with sn0wbreeze several times but iTunes fails with a 3194 error every time. So I ended up using redsn0w and it worked great, as it always has.
    1. poky08's Avatar
      poky08 -
      Quote Originally Posted by Simon View Post
      I restored to 5.0 no problem with my old bootrom 3GS. All I did was use the latest snowbreeze (2.8b11 I think), made a custom 5.0 using expert mode. Make sure to tell it you have an old bootrom 3GS when it asks. Then at the end I let snowbreeze put the phone in pwned DFU and pointed itunes to the custom firmware I just made. Restored no problem. No SHSH required.
      Hi, can you send me please your host file (C:Windows/System32/drivers/etc/hosts)? Thank you.
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by poky08 View Post
      Hi, can you send me please your host file (C:Windows/System32/drivers/etc/hosts)? Thank you.
      My host file wont help you.
    1. poky08's Avatar
      poky08 -
      It's to try, I get the error itunes 3194
    1. PoEtikly's Avatar
      PoEtikly -
      Quote Originally Posted by RRoD420 View Post
      @musclenerd
      you say the latest TU saves APTickets for 5.0.1+, but that goes against what's being said here. The article and description of the new iFaith says you need to dump the APTicket from the device? But you're saying TU does it now, so it doesn't need to be dumped from the device itself anymore? TU can generate it based on SHSH data?

      I did the Save SHSH in my TU but it doesn't specify APTicket was saved as well, it only says the same it always did regarding what version was able to be saved.
      I'm confused about this as well. TU did save my 5.0.1 shsh blob, but I'm unable to create a custom ipsw from it. I'd like to know how that would be used to restore to 5.0.1. because I'm currently on 5.0 and I saved, dumped, and created custom ipsw with iFaith for 5.0, but I'm going to update to 5.0.1 and then use iFaith to dump those APTickets as well before apple stops signing them (you never know when 5.0.1 may be what we need so it's better to have them and not them than to need them and not have them). If I knew that I'd be able to use those blobs from TU and exactly how I'd use them I wouldn't waste my time with all of that. I'm thinking that with those blobs from TU you'd have to use TU to restore back to 5.0.1 and not iTunes with a CFW. But I really don't know which is why I've asked that question several times but haven't gotten any straight forward answers. If anybody knows please post.
    1. Simon's Avatar
      Simon -
      Musclenerd said an upcoming redsnow release will take advantage of these TU shsh.
    1. Anthony Bouchard's Avatar
      Anthony Bouchard -
      Quote Originally Posted by Simon View Post
      Musclenerd said an upcoming redsnow release will take advantage of these TU shsh.
      Might want them to use iFaith instead.
    1. PoEtikly's Avatar
      PoEtikly -
      Quote Originally Posted by Simon View Post
      Musclenerd said an upcoming redsnow release will take advantage of these TU shsh.
      Yeah well I think I'll go ahead and update since I have my 5.0 APTickets saved with iFaith And then save 5.0.1 with iFaith as well just to be safe, you never know how long that will be or if it end up not happening. I've been stuck in the past and do not want to take any chances.
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by PoEtikly View Post
      Yeah well I think I'll go ahead and update since I have my 5.0 APTickets saved with iFaith And then save 5.0.1 with iFaith as well just to be safe, you never know how long that will be or if it end up not happening. I've been stuck in the past and do not want to take any chances.
      Yup, sounds like a smart idea
    1. NikeJS's Avatar
      NikeJS -
      If I am on 4.2.1 will I be able to upgrade to iOS 5.0, I have an SHSH for 5.0 but I don't know about the apticket.
    1. Anthony Bouchard's Avatar
      Anthony Bouchard -
      Quote Originally Posted by NikeJS View Post
      If I am on 4.2.1 will I be able to upgrade to iOS 5.0, I have an SHSH for 5.0 but I don't know about the apticket.
      Not without an APticket.
    1. Tario70's Avatar
      Tario70 -
      Quote Originally Posted by NikeJS View Post
      If I am on 4.2.1 will I be able to upgrade to iOS 5.0, I have an SHSH for 5.0 but I don't know about the apticket.
      Just get the latest TU to save your 5.0.1 blobs + Ticket.

      You'll never be able to get to iOS 5.0 because there is no way to save those blobs now since you're not on it currently.

      My advice, stay put until 5.0.1 untether & use TU to back up the 5.0.1 blobs.
    1. NikeJS's Avatar
      NikeJS -
      Quote Originally Posted by Tario70 View Post
      Just get the latest TU to save your 5.0.1 blobs + Ticket.

      You'll never be able to get to iOS 5.0 because there is no way to save those blobs now since you're not on it currently.

      My advice, stay put until 5.0.1 untether & use TU to back up the 5.0.1 blobs.
      Thanks for the advice. Will TU save the ticket even though i am still on 4.2.1? Or will i have to upgrade to 5.0.1?